%global momorel 1

%global tarball xf86-input-libinput
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:    Xorg X11 libinput input driver
Name:       xorg-x11-drv-libinput
Version:    0.28.0
Release:    %{momorel}m%{?dist}
URL:        http://ww.x.org
License:    MIT
Group:     User Interface/X Hardware Support

Source0:    ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
NoSource:   0
Source1:    90-libinput.conf

ExcludeArch: s390 s390x

BuildRequires: autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.19.99
BuildRequires: libudev-devel libevdev-devel libinput-devel
BuildRequires: xorg-x11-util-macros

Requires: xkeyboard-config
Requires: libinput >= 1.0.0

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf --force -v --install || exit 1
%configure --disable-static --disable-silent-rules
%make 

%install
rm -rf %{buildroot}

%make_install

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

install -d $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/90-libinput.conf

%files
%doc COPYING
%{driverdir}/libinput_drv.so
%{_datadir}/X11/xorg.conf.d/40-libinput.conf
%{_datadir}/X11/xorg.conf.d/90-libinput.conf
%{_mandir}/man4/libinput.4*

%package devel
Summary:        Xorg X11 libinput input driver development package.
Requires:       pkgconfig
Group:          Development/System
%description devel
Xorg X11 libinput input driver development files.

%files devel
%doc COPYING
%{_libdir}/pkgconfig/xorg-libinput.pc
%dir %{_includedir}/xorg/
%{_includedir}/xorg/libinput-properties.h

%changelog
* Wed Aug 22 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.28.0-1m)
- update 0.28.0

* Thu May 31 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.27.1-1m)
- update 0.27.1

* Wed Mar 28 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.27.0-1m)
- update 0.27.0

* Mon Mar 19 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.26.0-2m)
- rebuild against xorg-x11-server-1.20.0

* Fri Oct 13 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.26.0-1m)
- update 0.26.0

* Tue Jun 27 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.25.1-1m)
- update 0.25.1

* Sun Apr 02 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.25.0-1m)
- update 0.25.0

* Fri Dec 16 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.23.0-2m)
- rebuild against xorg-x11-server-1.19.0

* Thu Dec 15 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.23.0-1m)
- update 0.23.0

* Sun Oct 30 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.22.0-1m)
- update 0.22.0

* Fri Sep 23 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19.1-1m)
- update 0.19.1

* Tue May 10 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19.0-1m)
- update 0.19.0

* Mon Apr 11 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18.0-1m)
- update 0.18.0

* Fri Mar 18 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.17.0-1m)
- update 0.17.0

* Mon Mar 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16.0-2m)
- rebuild against xorg-x11-server-1.18.2

* Mon Jan 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16.0-1m)
- update 0.16.0

* Sat Oct 31 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.15.0-1m)
- update 0.15.0

* Sun May 31 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-1m)
- update 0.10.0

* Sun May 17 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- update 0.9.0

* Fri Apr 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-1m)
- Initial commit Momonga Linux

* Tue Mar 10 2015 Peter Hutterer <peter.hutterer@redhat.com> - 0.8.0-2
- Rebuild for libinput soname bump

* Fri Mar 06 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.8.0-1
- xf86-input-libinput 0.8.0

* Thu Mar 05 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.7.0-5
- Fix two-finger scrolling speed (#1198467)

* Thu Feb 26 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.7.0-4
- Fix property setting patch, first version prevented re-enabling a device.

* Wed Feb 25 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.7.0-3
- Fix a crash when setting properties on a disabled device

* Wed Feb 25 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.7.0-2
- Fix stack smash on pointer init (#1195905)

* Tue Feb 24 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.7.0-1
- xorg-x11-drv-libinput 0.7.0

* Tue Jan 27 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.6.0-1
- xorg-x11-drv-libinput 0.6.0

* Fri Jan 16 2015 Peter Hutterer <peter.hutterer@redhat.com> 0.5.0-1
- xorg-x11-drv-libinput 0.5.0

* Fri Dec 05 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.4.0-1
- xorg-x11-drv-libinput 0.4.0

* Mon Nov 24 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.3.0-1
- xorg-x11-drv-libinput 0.3.0

* Mon Nov 24 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.2.0-2
- Add explicit (Build)Requires for libinput 0.6.0-3, we rely on new symbols
  from the git snapshot

* Mon Nov 24 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.2.0-1
- Only match on specific device types, don't match on joysticks or tablets
- libinput 0.2.0
- switch to new fdo host

* Fri Sep 12 2014 Peter Hutterer <peter.hutterer@redhat.com> - 0.1.2-3
- Rebuild for libinput soname bump

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.1.2-1
- Update to 0.1.2, dropping the pkgconfig files

* Thu Jun 26 2014 Peter Hutterer <peter.hutterer@redhat.com> 0.1.1-1
- Initial release (#1113392)

